ADIOS2_REORGANIZE.SERIAL(1)

NAME
adios2_reorganize.serial - ADIOS2 utility

SYNOPSIS
adios_reorganize input output rmethod "params" wmethod "params" <decomposition>

DESCRIPTION

input
    Input stream path

output
    Output file path

    rmethod ADIOS method to read with

    Supported read methods: BPFile, HDF5, SST, SSC, DataMan

params
    Read method parameters (in quotes; comma-separated list)

    wmethod ADIOS method to write with params Write method parameters (in quotes; comma-separated list) <decomposition> list of numbers e.g. 32 8 4

    Decomposition values in each dimension of an array The product of these number must be less then the number of processes. Processes whose rank is higher than the product, will not write anything.

    Arrays with less dimensions than the number of values, will be decomposed with using the appropriate number of values.